'use strict';

var chunkFPAJGGOC = require('./chunk-FPAJGGOC.js');
var fileSystemProvider = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/workspace/file-system-provider.js');
var dependencyInjection = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/dependency-injection.js');
var defaultModule = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/default-module.js');

// src/language/radar/tokenBuilder.ts
var RadarTokenBuilder = class extends chunkFPAJGGOC.AbstractMermaidTokenBuilder {
  static {
    chunkFPAJGGOC.__name(this, "RadarTokenBuilder");
  }
  constructor() {
    super(["radar-beta"]);
  }
};

// src/language/radar/module.ts
var RadarModule = {
  parser: {
    TokenBuilder: /* @__PURE__ */ chunkFPAJGGOC.__name(() => new RadarTokenBuilder(), "TokenBuilder"),
    ValueConverter: /* @__PURE__ */ chunkFPAJGGOC.__name(() => new chunkFPAJGGOC.CommonValueConverter(), "ValueConverter")
  }
};
function createRadarServices(context = fileSystemProvider.EmptyFileSystem) {
  const shared = dependencyInjection.inject(
    defaultModule.createDefaultSharedCoreModule(context),
    chunkFPAJGGOC.MermaidGeneratedSharedModule
  );
  const Radar = dependencyInjection.inject(
    defaultModule.createDefaultCoreModule({ shared }),
    chunkFPAJGGOC.RadarGeneratedModule,
    RadarModule
  );
  shared.ServiceRegistry.register(Radar);
  return { shared, Radar };
}
chunkFPAJGGOC.__name(createRadarServices, "createRadarServices");

exports.RadarModule = RadarModule;
exports.createRadarServices = createRadarServices;
